<?php
class ModelExtensionModuleSberbankId extends Model {
	public function install() {
		$this->db->query("
			CREATE TABLE IF NOT EXISTS `" . DB_PREFIX . "sberbank_id_users` (
			  `user_id` int(11) NOT NULL AUTO_INCREMENT,
			  `email` VARCHAR(50) DEFAULT NULL,
			  `phone` VARCHAR(50) DEFAULT NULL,
			  `name` VARCHAR(130) DEFAULT NULL,
			  `sub` VARCHAR(130) DEFAULT NULL,
			  `aud` VARCHAR(130) DEFAULT NULL,
			  `linked_account_id` int(11) DEFAULT NULL,
			  `created` DATETIME NOT NULL,
			  `auth_count` int(11) DEFAULT 1,
			  PRIMARY KEY (`user_id`)
			) ENGINE=MyISAM DEFAULT COLLATE=utf8_general_ci
		");

	}

	public function uninstall() {
		$this->db->query("DROP TABLE IF EXISTS `" . DB_PREFIX . "sberbank_id_users`");
	}

}
